%global pkgname django-mptt
%global obs_ver 0.4.2-4

Summary:	Utilities for implementing Modified Preorder Tree Traversal
Name:		python-django-mptt
Version:	0.5.4
Release:	2%{?dist}
License:	MIT
Group:		Development/Libraries
URL:		http://github.com/django-mptt/django-mptt
Source:		http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	python2-devel 
BuildRequires:	python-setuptools

# required for check-section
BuildRequires:	python-django

Requires:		python-django


Provides:		%{pkgname} = %{version}-%{release}
Obsoletes:		%{pkgname} < %{obs_ver}


%description
Utilities for implementing Modified Preorder Tree Traversal (MPTT) 
with your Django Model classes and working with trees of Model instances.

%prep
%setup -q -n %{pkgname}-%{version}
#remove unnecessary language ressources:
# de dk,fr, pl 
rm mptt/locale/??/LC_MESSAGES/django.po 

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root="%{buildroot}" --prefix="%{_prefix}"

%find_lang django

%check
cd tests
sh runtests.sh

%files -f django.lang
%doc LICENSE README.rst NOTES
%{python_sitelib}/django_mptt-%{version}-py2.*.egg-info
%dir %{python_sitelib}/mptt
%{python_sitelib}/mptt/*.py*
%{python_sitelib}/mptt/templates
%{python_sitelib}/mptt/templatetags

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Aug 23 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.5.4-1
- update to version 0.5.4 from upstream

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 28 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.5.2-3
- fix double included language files
- fix license

* Tue Mar 27 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.5.2-1
- renamed to python-django-mptt
- update to version 0.5.2

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 29 2010 Dave Riches <dcr226@fedorapeople.org> - 0.4.2-2
- removed redundant comments from spec


* Sun Nov 28 2010 Clint Savage <herlo@fedorapeople.org> - 0.4.2-1
- Updated the package to 0.4.2 and removed a couple unneeded lines from the spec

* Thu Oct 21 2010 Dave Riches <dcr226@fedorapeople.org> - 0.4.1-1
- Packaged for Fedora

